Bug 591041 - Return value from resource operation alert sender resourcePicker is unusable
Summary: Return value from resource operation alert sender resourcePicker is unusable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: All
low
high vote
Target Milestone: ---
: ---
Assignee: Heiko W. Rupp
QA Contact: Sudhir D
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 10:05 UTC by Heiko W. Rupp
Modified: 2010-08-12 16:49 UTC (History)
0 users

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:49:07 UTC


Attachments (Terms of Use)

Description Heiko W. Rupp 2010-05-11 10:05:35 UTC
go to alerts, choose a resource alert, on a specific resource.
Use "pick" to pick a resource. 

Then click on save - an exception is show that e.g. "10003 " is no valid number.
From this point on, the alert notification page is unusable.

Comment 1 Heiko W. Rupp 2010-05-11 10:06:03 UTC
Caused by: javax.el.ELException: /rhq/common/alert/notification/details.xhtml @63,118 value="#{onf:getAlertSenderConfigurationPreview(alertNotification)}": java.lang.NumberFormatException: For input string: "10003 "

Comment 2 Heiko W. Rupp 2010-05-11 10:08:52 UTC
Fixed in a04ec9c

Comment 3 Sudhir D 2010-05-21 10:15:34 UTC
This is verified against build# 160 Ver 2.4 Snapshot. 

I'm able to pick, select operation and save the resource operation.

Marking this as verified.

Comment 4 Corey Welton 2010-08-12 16:49:07 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.